<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_565d7be99acb0b7627e48da068ee" . "bbd6" => base64_decode("cmVxdW" . "lyZWQ="), "_ec438e08973b" . "3716c60e393f6" . "6ef5e7b" => base64_decode("Q2hvb3NlIHRoZSBzb3V" . "yY2UgSUMgcHJvamVjdA" . "=="), "_5a318eaa74da0cc2a06bdb952" . "89fe81b" => base64_decode("Q2hvb3NlIHRoZSBzb" . "3VyY2UgcHJvamVjdA" . "=="), "proj" . "ect_" . "id" => base64_decode("cHJvamVjdF9pZA=" . "="));





class HDReportWizardProject extends ReportWizardPage
{
    var $projects;
    
    
    
    
    
    function buildForm()
    {
        $values = array();
        $_4cfe17fc2516abcf039dd2848579d320 = new HDProjectsList();
        $_4cfe17fc2516abcf039dd2848579d320->setPermsChecking(HD_PERM_REPORTS);
        $_68680c984182bf7876b2bb0ab77ebe01 = $_4cfe17fc2516abcf039dd2848579d320->getList();
        foreach ($_68680c984182bf7876b2bb0ab77ebe01 as $project) {
            $values[$project->GetId()] = $project->GetName();
        }
        $this->projects = $values;
        $this->addElement(PAGE_ELEMENT_SELECT, $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["projec" . "t_id"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_5a318eaa74da0cc2a06bdb95289" . "fe81b"], $values);
        $this->addRule($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["project_i" . "d"], $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_ec438e08973b37" . "16c60e393f66ef5" . "e7b"], $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_565d7be99acb0b7627e48da" . "068eebbd6"]);
        $this->_formBuilt = true;
    }
}